NumericTagGroup (jCharts-0.7.5 API)
Keywords: org.jCharts.chartText.NumericTagGroup,NumericTagGroup class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.chartText
Class NumericTagGroup

    java.lang.Object
      |
      +--org.jCharts.chartText.TextTagGroup
            |
            +--org.jCharts.chartText.NumericTagGroup

All Implemented Interfaces:
  HTMLTestable, java.io.Serializable

public class NumericTagGroup
extends TextTagGroup

See Also:
  Serialized Form

Field Summary
`private java.text.NumberFormat` | `numberFormat`

Fields inherited from class org.jCharts.chartText.TextTagGroup
``

Constructor Summary
`NumericTagGroup(ChartFont chartFont, java.awt.font.FontRenderContext fontRenderContext, boolean isCurrency, boolean isPercent, boolean showCommas, int roundingPowerOfTen)`

Method Summary
`void` | `addLabel(double value)`
`void` | `createAxisScaleLabels(ScaleCalculator scaleCalculator)` Creates the axis labels for the passed ScaleCalculator instance.
`static java.text.NumberFormat` | `getNumberFormatInstance(boolean isCurrency, boolean isPercent, boolean showCommas, int roundingPowerOfTen)` Allow use of this logic to not only this class but to the chart label values.

Methods inherited from class org.jCharts.chartText.TextTagGroup
`addLabel, getTallestLabel, getTextTag, getTotalLabelWidths, getWidestLabel, render, reverse, size, toHTML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numberFormat

    private java.text.NumberFormat numberFormat

Constructor Detail

### NumericTagGroup

    public NumericTagGroup(ChartFont chartFont,
                           java.awt.font.FontRenderContext fontRenderContext,
                           boolean isCurrency,
                           boolean isPercent,
                           boolean showCommas,
                           int roundingPowerOfTen)

Parameters:
  `chartFont` -
  `fontRenderContext` -
  `isCurrency` -
  `isPercent` -
  `showCommas` -
  `roundingPowerOfTen` - the exponent of ten to round to: 1=10, -1=.1, 3=1000, etc...

Method Detail

### getNumberFormatInstance

    public static final java.text.NumberFormat getNumberFormatInstance(boolean isCurrency,
                                                                       boolean isPercent,
                                                                       boolean showCommas,
                                                                       int roundingPowerOfTen)

  Allow use of this logic to not only this class but to the chart label values.

  Parameters:
    `isCurrency` -
    `isPercent` -
    `showCommas` -
    `roundingPowerOfTen` -
  Returns:
    NumberFormat

### addLabel

    public void addLabel(double value)

  Parameters:
    `value` -

### createAxisScaleLabels

    public void createAxisScaleLabels(ScaleCalculator scaleCalculator)

  Creates the axis labels for the passed ScaleCalculator instance.

  Parameters:
    `scaleCalculator` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD